Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Query_result< Simplex_handle > Class Template Reference
Coxeter triangulation

The result of a query by an oracle such as Implicit_manifold_intersection_oracle. More...

`#include <include/gudhi/Coxeter_triangulation/Query_result.h>`

## Public Attributes

Eigen::VectorXd | intersection
| The potentially lower-dimensional face of the query simplex that contains the intersection point. OBSOLETE: as the snapping is removed.
bool | success
| True if the query simplex intersects the manifold.

## Detailed Description

template<class Simplex_handle>
class Gudhi::coxeter_triangulation::Query_result< Simplex_handle >

The result of a query by an oracle such as Implicit_manifold_intersection_oracle.

Template Parameters

  Simplex_handle | The class of the query simplex.

## Member Data Documentation

## intersection

template<class Simplex_handle>

Eigen::VectorXd Gudhi::coxeter_triangulation::Query_result< Simplex_handle >::intersection

The potentially lower-dimensional face of the query simplex that contains the intersection point. OBSOLETE: as the snapping is removed.

The intersection point.

The documentation for this class was generated from the following file:

- include/gudhi/Coxeter_triangulation/Query_result.h